# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/apm,xgene-rtc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: APM X-Gene Real Time Clock

maintainers:
  - Khuong Dinh <khuong@os.amperecomputing.com>

properties:
  compatible:
    const: apm,xgene-rtc

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  '#clock-cells':
    const: 1

  clocks:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts
  - '#clock-cells'
  - clocks

additionalProperties: false

examples:
  - |
    rtc@10510000 {
        compatible = "apm,xgene-rtc";
        reg = <0x10510000 0x400>;
        interrupts = <0x0 0x46 0x4>;
        #clock-cells = <1>;
        clocks = <&rtcclk 0>;
    };
